package kr.co.iyapp.todayen.activity;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.WindowManager;
import android.webkit.WebChromeClient;
import android.webkit.WebResourceRequest;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import kr.co.iyapp.todayen.R;
import kr.co.iyapp.todayen.util.HtmlBridge;

public class RetestActivity extends AppCompatActivity {


    private WebView webView;
    private Context context;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test);
        context = this.getApplicationContext();
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);

        // 웹뷰 셋팅
        webView = (WebView) findViewById(R.id.webView);
        webView.getSettings().setJavaScriptEnabled(true); //자바스크립트 허용

        webView.loadUrl("file:///android_asset/html/retest.html");
        webView.setWebChromeClient(new WebChromeClient());  // 새창 띄우지 않기
        webView.setWebViewClient(new RetestActivity.WevViewClientClass());
        webView.setWebContentsDebuggingEnabled(true);

        webView.addJavascriptInterface(new HtmlBridge(webView, RetestActivity.this), "connector");

    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if ((keyCode == KeyEvent.KEYCODE_BACK) && webView.canGoBack()) {
            webView.goBack();
            Activity act = (Activity) this.context;
            act.finish();
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }

    public class WevViewClientClass extends WebViewClient {
        @Override
        public boolean shouldOverrideUrlLoading(WebView view, WebResourceRequest request) {
            String url = String.valueOf(request.getUrl());

            if( url.startsWith("app://config") ){  // 현재 uri의 path에 컨테인만 읽기
                Intent intent = new Intent(RetestActivity.this, ConfigActivity.class); // 새창을 여는 액티비티나, 팝업일때 이용하면 용이합니다.
                intent.putExtra("url",view.getUrl());
                startActivity(intent);
                return true;
            }
            return super.shouldOverrideUrlLoading(view, request);
        }
    }
}